SSL憑證更新失敗: dpkg was interrupted 的解決方法

最近收到Let’s Encrypt的通知,要準備更新憑證,原本設定好要自動更新,但是時間到卻沒有自動更新,查看LOG才發現發生了下列的錯誤。

E: dpkg was interrupted, you must manually run ‘sudo dpkg –configure -a’ to correct the problem.

從網路上找到解法,如下:

到dpkg更新的目錄下,將底下的資料都刪除,從新更新一次。更新完畢之後再執行更新憑證的指令就可以囉!更新完畢別忘了重啟Server。

cd /var/lib/dpkg/updates
sudo rm *

sudo apt-get update

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *